> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/wishlists`

> `POST /api/v1/wishlists`

### Request body

`CreateWishlistRequest`

<ParamField body="customer_id" type="string (uuid)" required>
  Customer who owns the wishlist.
</ParamField>

<ParamField body="is_public" type="boolean,null">
  Whether the wishlist is visible to others.
</ParamField>

<ParamField body="name" type="string,null">
  Human-readable name for the wishlist.
</ParamField>

### Responses

<ResponseField name="201" type="WishlistResponse">
  Wishlist created
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid request
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/wishlists' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "is_public": null,
    "name": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "created_at": "2026-07-24T12:00:00Z",
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "is_public": true,
    "items": [
      {
        "added_at": "2026-07-24T12:00:00Z",
        "note": null,
        "product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      }
    ],
    "name": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
